%global debug_package %{nil}

Name:           ol-private-automation-hub
Version:        1.0.5
Release:        11%{dist}
Summary:        Oracle Linux Private Automation Hub
License:        GPL-3.0-or-later
BuildArch:      x86_64

%description
Copyright © 2023 Oracle and/or its affiliates.
Oracle Linux Private Automation Hub, based on galaxy_ng, provides a Ansible Collection and Executive Environment storage and development tool for Oracle Linux Automation Manager.

%package installer
Summary:        Oracle Linux Private Automation Hub Installer
URL:            https://linux-git.oraclecorp.com/lahung/oraclelinux.private_automation_hub/
Source0:        LICENSE
Source2:        oraclelinux-private_automation_hub-%{version}.tar.gz
BuildRequires:  ansible-core >= 2.10
Requires:       ansible-core >= 2.10
Requires:       ansible-collection-ansible-posix
Requires:       ansible-collection-community-crypto
Requires:       ansible-collection-community-postgresql
Requires:       ansible-collection-mdellweg-filters
Requires:       ansible-collection-pulp-pulp_installer
Requires:       ansible-role-postgresql

#Fix ambiguous python shebangs
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description installer
Copyright © 2023 Oracle and/or its affiliates.
Installer for Oracle Linux Private Automation Hub.

%prep
cp %{SOURCE0} .

%build

%install
ansible-galaxy collection install %{SOURCE2} -n -p $RPM_BUILD_ROOT%{_datadir}/ansible/collections 

%clean
rm -rf $RPM_BUILD_ROOT

%files installer
%defattr(-,root,root,-)
%license LICENSE
%{_datadir}/ansible/collections/*

%changelog
* Wed Aug 16 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-11
- Change pulp_installer repo name(ID) to ol_automation2

* Tue Aug 15 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-10
- Remove test repo and use vars to configure repo setting.

* Tue Aug 15 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-9
- Enable stage repo 

* Mon Aug 07 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-8
- Update license to GPLv3 in collection

* Fri Jun 16 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-5
- Change installer license to GPLv3+

* Fri Jun 16 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-4
- Add 3rd party licenses

* Thu Jun 15 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-3
- Update summary in README.md

* Wed May 31 2023 Lans Hung <lans.hung@oracle.com> - 1.0.5-2
- Remove community-crypto from source, add runtime dependency ansible-colleciton-community-crypto
- Remove community-postgresql from source add runtime dependency ansible-collection-community-postgresql
- Remove mdellweg-filters from source, add runtime dependency ansible-collection-mdellweg-filters
- Remove pulp-pulp_installer from source, add runtime dependency ansible-collection-pulp-pulp_installer
- Remove geerlingguy.postgresql from source, add runtime dependency ansible-role-postgresql

* Wed Apr 26 2023 Lans Hung <lans.hung@oracle.com> 1.0.5-1
- Change role names

* Tue Apr 25 2023 Lans Hung <lans.hung@oracle.com> 1.0.4-1
- Fix LDAP integration: Only set AUTH_LDAP_USER_FLAGS_BY_GROUP__is_superuser while var auth_ldap_user_flags_by_group__is_superuser is defined

* Tue Apr 25 2023 Lans Hung <lans.hung@oracle.com> 1.0.3-4
- Add dependency ansible-collection-ansible-posix from EPEL

* Fri Apr 21 2023 Lans Hung <lans.hung@oracle.com> 1.0.3-3
- Add commented vars in vars files
- Change staging repo name
- Remove ansible-posix-1.5.1 source tar ball

* Tue Apr 18 2023 Lans Hung <lans.hung@oracle.com> 1.0.3-2
- Remove ansible-posix-1.5.1

* Thu Apr 13 2023 Lans Hung <lans.hung@oracle.com> 1.0.3-1
- (cluster) flatten pulp_settings so that user can change them individually without having to paste the whole block

* Thu Apr 13 2023 Lans Hung <lans.hung@oracle.com> 1.0.2-1
- flatten pulp_settings so that user can change them individually without having to paste the whole block

* Wed Apr 12 2023 Lans Hung <lans.hung@oracle.com> 1.0.1-1
- Add validation for admin & db password. Also add ol-automation-hub_validate role.
- Remove default passwords in vars file 
- Pretty much remove the need of using a vars file when running the command line. Only use it when you want to.

* Thu Feb 23 2023 Lans Hung <lans.hung@oracle.com> 1.0.0-1
- Init package

